Bug 645288 - Review Request: erlang-xmlrpc - HTTP 1.1 compliant XML-RPC library for Erlang
Summary: Review Request: erlang-xmlrpc - HTTP 1.1 compliant XML-RPC library for Erlang
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Niemueller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-21 08:50 UTC by Peter Lemenkov
Modified: 2010-11-16 17:31 UTC (History)
3 users (show)

Fixed In Version: erlang-xmlrpc-1.13-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-08 22:35:14 UTC
Type: ---
tim: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Peter Lemenkov 2010-10-21 08:50:38 UTC
Spec URL: http://peter.fedorapeople.org/erlang-xmlrpc.spec
SRPM URL: http://peter.fedorapeople.org/erlang-xmlrpc-1.13-1.fc12.src.rpm
Description: HTTP 1.1 compliant XML-RPC library for Erlang

Comment 1 Peter Lemenkov 2010-10-21 09:14:42 UTC
Koji scratch build for F-14

http://koji.fedoraproject.org/koji/taskinfo?taskID=2546432

Comment 2 Peter Lemenkov 2010-10-21 09:18:37 UTC
rpmlint:

sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-xmlrpc-1.13-1.fc12.ppc.rpm 
erlang-xmlrpc.ppc: E: no-binary
erlang-xmlrpc.ppc: W: only-non-binary-in-usr-lib
erlang-xmlrpc.ppc: W: file-not-utf8 /usr/share/doc/erlang-xmlrpc-1.13/LICENSE
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
sulaco ~/rpmbuild/SPECS:

The first two messages indicating that erlang module is installed into arch-specific directory (%{_libdir}) while it consists from arch-independent data. Unfortunately this is how Erlang/OTP is designed.

The last warning exists because I believe that touching original project's licenses is a generally bad idea. Anyway it doesn't harm anything.

Comment 3 Tim Niemueller 2010-10-27 22:59:55 UTC
I'll review this.

Comment 5 Tim Niemueller 2010-10-29 03:26:02 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is not silent, but the only its message is a false positive:
  - License file problem is reasonably explained. I suggest considering a iconv run and/or reporting this issue upstream, maybe they are willing to include an UTF-8 version in the next release.
  - only-non-binary-in-usr-lib: general Erlang packaging problem which cannot
be avoided in the package

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format
%{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the
Licensing Guidelines.
+ The License field in the package spec file matches the actual license (MIT).
+ The file, containing the text of the license(s) for the package, is included
in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided
in the spec URL.

downloaded# sha256sum Downloads/xmlrpc-1.13.tgz 
7b129f17c277e17a2e44a1344bbc5c238ef2f5154c012c48a8b32ab061badb9a  Downloads/xmlrpc-1.13.tgz

package# sha256sum xmlrpc-1.13.tgz 
7b129f17c277e17a2e44a1344bbc5c238ef2f5154c012c48a8b32ab061badb9a  /home/tim/rpmbuild/SOURCES/xmlrpc-1.13.tgz


+ The package successfully compiles and builds into binary rpms on at least one
primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files
listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
+ No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the
application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other
packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

Looks all good to me. Nice job.

APPROVED

Comment 6 Peter Lemenkov 2010-10-29 05:29:30 UTC
New Package SCM Request
=======================
Package Name: erlang-xmlrpc
Short Description: HTTP 1.1 compliant XML-RPC library for Erlang
Owners: peter
Branches: f12 f13 f14 el5 el6
InitialCC:

Comment 7 Kevin Fenzi 2010-10-30 23:26:27 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2010-10-31 05:05:20 UTC
erlang-xmlrpc-1.13-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/erlang-xmlrpc-1.13-2.fc12

Comment 9 Fedora Update System 2010-10-31 05:05:27 UTC
erlang-xmlrpc-1.13-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/erlang-xmlrpc-1.13-2.el5

Comment 10 Fedora Update System 2010-10-31 05:05:33 UTC
erlang-xmlrpc-1.13-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/erlang-xmlrpc-1.13-2.fc14

Comment 11 Fedora Update System 2010-10-31 05:05:40 UTC
erlang-xmlrpc-1.13-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/erlang-xmlrpc-1.13-2.fc13

Comment 12 Fedora Update System 2010-10-31 21:30:41 UTC
erlang-xmlrpc-1.13-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-xmlrpc'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/erlang-xmlrpc-1.13-2.fc12

Comment 13 Fedora Update System 2010-11-08 22:35:09 UTC
erlang-xmlrpc-1.13-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-11-08 22:40:10 UTC
erlang-xmlrpc-1.13-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-11-08 22:44:07 UTC
erlang-xmlrpc-1.13-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-11-16 17:31:43 UTC
erlang-xmlrpc-1.13-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.